<?php
$tdatatypes = array();
$tdatatypes[".searchableFields"] = array();
$tdatatypes[".ShortName"] = "types";
$tdatatypes[".OwnerID"] = "";
$tdatatypes[".OriginalTable"] = "types";


$tdatatypes[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatatypes[".originalPagesByType"] = $tdatatypes[".pagesByType"];
$tdatatypes[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatatypes[".originalPages"] = $tdatatypes[".pages"];
$tdatatypes[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatatypes[".originalDefaultPages"] = $tdatatypes[".defaultPages"];

//	field labels
$fieldLabelstypes = array();
$fieldToolTipstypes = array();
$pageTitlestypes = array();
$placeHolderstypes = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelstypes["English"] = array();
	$fieldToolTipstypes["English"] = array();
	$placeHolderstypes["English"] = array();
	$pageTitlestypes["English"] = array();
	$fieldLabelstypes["English"]["ORDER_NBR"] = "ORDER NBR";
	$fieldToolTipstypes["English"]["ORDER_NBR"] = "";
	$placeHolderstypes["English"]["ORDER_NBR"] = "";
	$fieldLabelstypes["English"]["type_name"] = "TYPE NAME";
	$fieldToolTipstypes["English"]["type_name"] = "";
	$placeHolderstypes["English"]["type_name"] = "";
	if (count($fieldToolTipstypes["English"]))
		$tdatatypes[".isUseToolTips"] = true;
}


	$tdatatypes[".NCSearch"] = true;



$tdatatypes[".shortTableName"] = "types";
$tdatatypes[".nSecOptions"] = 0;

$tdatatypes[".mainTableOwnerID"] = "";
$tdatatypes[".entityType"] = 0;
$tdatatypes[".connId"] = "acmc_db_at_localhost";


$tdatatypes[".strOriginalTableName"] = "types";

	



$tdatatypes[".showAddInPopup"] = false;

$tdatatypes[".showEditInPopup"] = false;

$tdatatypes[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatypes[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdatatypes[".listAjax"] = true;
//	temporary
$tdatatypes[".listAjax"] = false;

	$tdatatypes[".audit"] = false;

	$tdatatypes[".locking"] = false;


$pages = $tdatatypes[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatypes[".edit"] = true;
	$tdatatypes[".afterEditAction"] = 1;
	$tdatatypes[".closePopupAfterEdit"] = 1;
	$tdatatypes[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatypes[".add"] = true;
$tdatatypes[".afterAddAction"] = 1;
$tdatatypes[".closePopupAfterAdd"] = 1;
$tdatatypes[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatypes[".list"] = true;
}



$tdatatypes[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatypes[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatypes[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatypes[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatypes[".printFriendly"] = true;
}



$tdatatypes[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatypes[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatypes[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatypes[".isUseAjaxSuggest"] = true;

$tdatatypes[".rowHighlite"] = true;



												

$tdatatypes[".ajaxCodeSnippetAdded"] = false;

$tdatatypes[".buttonsAdded"] = false;

$tdatatypes[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatypes[".isUseTimeForSearch"] = false;


$tdatatypes[".badgeColor"] = "5F9EA0";


$tdatatypes[".allSearchFields"] = array();
$tdatatypes[".filterFields"] = array();
$tdatatypes[".requiredSearchFields"] = array();

$tdatatypes[".googleLikeFields"] = array();
$tdatatypes[".googleLikeFields"][] = "ORDER_NBR";
$tdatatypes[".googleLikeFields"][] = "type_name";



$tdatatypes[".tableType"] = "list";

$tdatatypes[".printerPageOrientation"] = 0;
$tdatatypes[".nPrinterPageScale"] = 100;

$tdatatypes[".nPrinterSplitRecords"] = 40;

$tdatatypes[".geocodingEnabled"] = false;










$tdatatypes[".pageSize"] = 10;

$tdatatypes[".warnLeavingPages"] = true;



$tstrOrderBy = "ORDER BY ORDER_NBR";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatypes[".strOrderBy"] = $tstrOrderBy;

$tdatatypes[".orderindexes"] = array();
	$tdatatypes[".orderindexes"][] = array(1, (1 ? "ASC" : "DESC"), "ORDER_NBR");



$tdatatypes[".sqlHead"] = "SELECT ORDER_NBR,  type_name";
$tdatatypes[".sqlFrom"] = "FROM types";
$tdatatypes[".sqlWhereExpr"] = "";
$tdatatypes[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatypes[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatypes[".arrGroupsPerPage"] = $arrGPP;

$tdatatypes[".highlightSearchResults"] = true;

$tableKeystypes = array();
$tableKeystypes[] = "ORDER_NBR";
$tdatatypes[".Keys"] = $tableKeystypes;


$tdatatypes[".hideMobileList"] = array();




//	ORDER_NBR
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "ORDER_NBR";
	$fdata["GoodName"] = "ORDER_NBR";
	$fdata["ownerTable"] = "types";
	$fdata["Label"] = GetFieldLabel("types","ORDER_NBR");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "ORDER_NBR";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ORDER_NBR";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatypes["ORDER_NBR"] = $fdata;
		$tdatatypes[".searchableFields"][] = "ORDER_NBR";
//	type_name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "type_name";
	$fdata["GoodName"] = "type_name";
	$fdata["ownerTable"] = "types";
	$fdata["Label"] = GetFieldLabel("types","type_name");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "type_name";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "type_name";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=90";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatypes["type_name"] = $fdata;
		$tdatatypes[".searchableFields"][] = "type_name";


$tables_data["types"]=&$tdatatypes;
$field_labels["types"] = &$fieldLabelstypes;
$fieldToolTips["types"] = &$fieldToolTipstypes;
$placeHolders["types"] = &$placeHolderstypes;
$page_titles["types"] = &$pageTitlestypes;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["types"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["types"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_types()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "ORDER_NBR,  type_name";
$proto0["m_strFrom"] = "FROM types";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "ORDER BY ORDER_NBR";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "ORDER_NBR",
	"m_strTable" => "types",
	"m_srcTableName" => "types"
));

$proto6["m_sql"] = "ORDER_NBR";
$proto6["m_srcTableName"] = "types";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "type_name",
	"m_strTable" => "types",
	"m_srcTableName" => "types"
));

$proto8["m_sql"] = "type_name";
$proto8["m_srcTableName"] = "types";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "types";
$proto11["m_srcTableName"] = "types";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "ORDER_NBR";
$proto11["m_columns"][] = "type_name";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "types";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "types";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto14=array();
						$obj = new SQLField(array(
	"m_strName" => "ORDER_NBR",
	"m_strTable" => "types",
	"m_srcTableName" => "types"
));

$proto14["m_column"]=$obj;
$proto14["m_bAsc"] = 1;
$proto14["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto14);

$proto0["m_orderby"][]=$obj;					
$proto0["m_srcTableName"]="types";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_types = createSqlQuery_types();


	
		;

		

$tdatatypes[".sqlquery"] = $queryData_types;



$tableEvents["types"] = new eventsBase;
$tdatatypes[".hasEvents"] = false;

?>